### Method

# Ide Debugger locate_binary_at_address

#### Declaration

    const gchar*
    ide_debugger_locate_binary_at_address (
      IdeDebugger* self,
      IdeDebuggerAddress address
    )

#### Description

Attempts to locate the binary that contains a given address.

`address` should be an address within the inferiors process space.

This works by keeping track of libraries as they are loaded and unloaded and their associated file mappings.

Currently, the filename will match the name in the inferior mount namespace, but that may change based on future design changes.

Available since: | 3.32

#### Parameters

`address` | `IdeDebuggerAddress`
| The address within the inferior process space.

#### Return value

Returns: | `const gchar*`
| The filename of the binary or `NULL`.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.